Bug 250008 - net-mgmt/ocsinventory-server net-mgmt/ocsinventory-ocsreports: update to 2.8
Summary: net-mgmt/ocsinventory-server net-mgmt/ocsinventory-ocsreports: update to 2.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL: https://github.com/OCSInventory-NG/OC...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-30 13:03 UTC by Mikael Urankar
Modified: 2020-10-02 06:36 UTC (History)
2 users (show)

See Also:
dgeo: maintainer-feedback+


Attachments
v1 (10.80 KB, patch)
2020-09-30 13:03 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Fernando Apesteguía freebsd_committer 2020-10-01 07:19:33 UTC
^Triage: Reporter is committer, assign accordingly.

^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Q/A: patch did not apply cleanly. Would you mind checking it?

Patch contains CRLF terminators. If you pasted it in bugzilla try to upload it as an attachment.


Thanks!
Comment 2 Mikael Urankar freebsd_committer 2020-10-01 09:14:27 UTC
(In reply to Fernando Apesteguía from comment #1)
The patch applies fine here, what is your error?
svn patch /root/ocs.diff
U         net-mgmt/ocsinventory-server/Makefile
U         net-mgmt/ocsinventory-server/distinfo
U         net-mgmt/ocsinventory-server/pkg-plist
U         net-mgmt/ocsinventory-ocsreports/Makefile
U         net-mgmt/ocsinventory-ocsreports/distinfo
A         net-mgmt/ocsinventory-ocsreports/files/dbconfig.inc.php.sample
U         net-mgmt/ocsinventory-ocsreports/pkg-plist
Comment 3 Fernando Apesteguía freebsd_committer 2020-10-01 09:43:41 UTC
patch -p3 -E < ../../250008.patch
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: net-mgmt/ocsinventory-server/Makefile
|===================================================================
|--- net-mgmt/ocsinventory-server/Makefile      (revision 550687)
|+++ net-mgmt/ocsinventory-server/Makefile      (working copy)
--------------------------
Patching file Makefile using Plan A...
Hunk #1 succeeded at 1 with fuzz 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: net-mgmt/ocsinventory-server/distinfo
|===================================================================
|--- net-mgmt/ocsinventory-server/distinfo      (revision 550687)
|+++ net-mgmt/ocsinventory-server/distinfo      (working copy)
--------------------------
Patching file distinfo using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: net-mgmt/ocsinventory-server/pkg-plist
|===================================================================
|--- net-mgmt/ocsinventory-server/pkg-plist     (revision 550687)
|+++ net-mgmt/ocsinventory-server/pkg-plist     (working copy)
--------------------------
Patching file pkg-plist using Plan A...
Hunk #1 succeeded at 21.
Hunk #2 succeeded at 46.
Hunk #3 succeeded at 63.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: net-mgmt/ocsinventory-ocsreports/Makefile
|===================================================================
|--- net-mgmt/ocsinventory-ocsreports/Makefile  (revision 550687)
|+++ net-mgmt/ocsinventory-ocsreports/Makefile  (working copy)
--------------------------
Patching file Makefile using Plan A...
Hunk #1 failed at 1.
Hunk #2 failed at 32.
2 out of 2 hunks failed--saving rejects to Makefile.rej
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: net-mgmt/ocsinventory-ocsreports/distinfo
|===================================================================
|--- net-mgmt/ocsinventory-ocsreports/distinfo  (revision 550687)
|+++ net-mgmt/ocsinventory-ocsreports/distinfo  (working copy)
--------------------------
Patching file distinfo using Plan A...
Hunk #1 failed at 1.
1 out of 1 hunks failed--saving rejects to distinfo.rej
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: net-mgmt/ocsinventory-ocsreports/files/dbconfig.inc.php.sample
|===================================================================
|--- net-mgmt/ocsinventory-ocsreports/files/dbconfig.inc.php.sample     (nonexistent)
|+++ net-mgmt/ocsinventory-ocsreports/files/dbconfig.inc.php.sample     (working copy)
--------------------------
(Creating file dbconfig.inc.php.sample...)
Patching file dbconfig.inc.php.sample using Plan A...
Empty context always matches.
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|
|Property changes on: net-mgmt/ocsinventory-ocsreports/files/dbconfig.inc.php.sample
|___________________________________________________________________
|Added: svn:eol-style
|## -0,0 +1 ##
|+native
|\ No newline at end of property
|Added: svn:mime-type
|## -0,0 +1 ##
|+text/plain
|\ No newline at end of property
|Index: net-mgmt/ocsinventory-ocsreports/pkg-plist
|===================================================================
|--- net-mgmt/ocsinventory-ocsreports/pkg-plist (revision 550687)
|+++ net-mgmt/ocsinventory-ocsreports/pkg-plist (working copy)
--------------------------
Patching file pkg-plist using Plan A...
Hunk #1 failed at 15.
Hunk #2 failed at 30.
Hunk #3 failed at 46.
Hunk #4 failed at 72.
No such line 276 in input file, ignoring
Hunk #5 failed at 288.
Hunk #6 failed at 357.
Hunk #7 failed at 399.
Hunk #8 failed at 416.
Hunk #9 failed at 462.
Hunk #10 failed at 507.
Hunk #11 failed at 529.
Hunk #12 failed at 632.
Hunk #13 failed at 655.
13 out of 13 hunks failed--saving rejects to pkg-plist.rej
done

See this. I just updated my tree. In the Makefile, only this two lines use INSTALL_DATA:

fernape@beastie:~/FreeBSD-repos/ports/head/net-mgmt/ocsinventory-server$ grep INSTALL_DATA Makefile
        ${INSTALL_DATA} ${WRKSRC}/etc/ocsinventory/ocsinventory-${F}.conf ${STAGEDIR}${ETCDIR}/ocsinventory-${F}.conf.sample
        ${INSTALL_DATA} ${WRKSRC}/README.md ${WRKSRC}/INSTALL ${STAGEDIR}${DOCSDIR}/

fernape@beastie:~/FreeBSD-repos/ports/head/net-mgmt/ocsinventory-server$ grep INSTALL_DATA /tmp/250008/250008.patch
-       ${INSTALL_DATA} ${WRKSRC}/dbconfig.inc.php ${STAGEDIR}${WWWDIR}/dbconfig.inc.php.sample
+       ${INSTALL_DATA} ${FILESDIR}/dbconfig.inc.php.sample ${STAGEDIR}${WWWDIR}/dbconfig.inc.php.sample
        ${INSTALL_DATA} ${WRKSRC}/backend/require/cas.config.php ${STAGEDIR}${WWWDIR}/backend/require/cas.config.php.sample
        ${INSTALL_DATA} ${WRKDIR}/apache.conf ${STAGEDIR}${ETCDIR}/ocsreports.inc.sample

yet the patch is trying to delete a line like this one:

-       ${INSTALL_DATA} ${WRKSRC}/dbconfig.inc.php ${STAGEDIR}${WWWDIR}/dbconfig.inc.php.sample

that I don't see anywhere...

I can only see references to that here:

fernape@beastie:~/FreeBSD-repos/ports/head/net-mgmt$ grep -R dbconfig.inc.php *
ocsinventory-ocsreports/files/pkg-message.in:* edit %%WWWDIR%%/dbconfig.inc.php
ocsinventory-ocsreports/Makefile:       (cd ${WRKSRC} && ${COPYTREE_SHARE} . ${STAGEDIR}${WWWDIR} "! -name dbconfig.inc.php ! -name cas.config.php")
ocsinventory-ocsreports/Makefile:       ${INSTALL_DATA} ${WRKSRC}/dbconfig.inc.php ${STAGEDIR}${WWWDIR}/dbconfig.inc.php.sample
ocsinventory-ocsreports/pkg-plist:@sample %%WWWDIR%%/dbconfig.inc.php.sample

not in ocsinventory-server.

What am I missing?
Comment 4 Fernando Apesteguía freebsd_committer 2020-10-01 10:04:49 UTC
(In reply to Fernando Apesteguía from comment #3)
I'll answer myself. Two ports in the same commit. That's it!

Sorry for the noise.
Comment 5 commit-hook freebsd_committer 2020-10-02 06:07:17 UTC
A commit references this bug:

Author: mikael
Date: Fri Oct  2 06:06:55 UTC 2020
New revision: 550900
URL: https://svnweb.freebsd.org/changeset/ports/550900

Log:
  net-mgmt/ocsinventory-server net-mgmt/ocsinventory-ocsreports: update to 2.8

  Changelog:
    https://ocsinventory-ng.org/?page_id=1548&lang=en

  PR:		250008
  Approved by:	Geoffroy Desvernay (maintainer)

Changes:
  head/net-mgmt/ocsinventory-ocsreports/Makefile
  head/net-mgmt/ocsinventory-ocsreports/distinfo
  head/net-mgmt/ocsinventory-ocsreports/files/dbconfig.inc.php.sample
  head/net-mgmt/ocsinventory-ocsreports/pkg-plist
  head/net-mgmt/ocsinventory-server/Makefile
  head/net-mgmt/ocsinventory-server/distinfo
  head/net-mgmt/ocsinventory-server/pkg-plist